

## Info

Steps 
- Install the package and dependencies.
- Use `scripts/eval_sciq.sh` and `scripts/eval_truthfulqa.sh` to prompt LM to answer questions and evaluate correctness.
- Refer to `source/paper_figures.py` on how various figures/tables in the paper is created.


## Directory Structure


```
.
├── README.md
├── pyproject.toml
├── requirements.txt
├── scripts
│   ├── eval_sciq.sh  # bash file to prompt LM on SciQ and evaluate answer correctness.
│   └── eval_truthfulqa.sh # bash file to prompt LM on TruthfulQA and evaluate answer correctness.
├── setup.cfg
├── setup.py
└── source
    ├── calibration.py # functionalities related to measuring calibration and OT calibration
    ├── evaluate.py # gather results of runs
    ├── evaluate_qa_correctness.py # use gpt-mini to evaluate QA correctness
    ├── evaluate_sciq_verbalized_confidence.py # prompt LM for (answer, confidence) for SciQ
    ├── evaluate_truthfulqa_verbalized_confidence.py # prompt LM for (answer, confidence) for TruthfulQA
    ├── llm_api.py # openai api
    ├── paper_figures.py # functions to reproduce almost all figures/tables in the paper
    ├── perception_of_probability_word_survey.csv # survey on human perception of certainty phrases
    └── rosemary.py # misc utility functions
```