#!/bin/bash

set -e
set -x

model=$1
output_dir=$2
prompt_file=$3
first_n=$4
certainty_phrases_source=$5

script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
prompts_dir="$(dirname "$script_dir")/source/prompts/llm_calibration"

python -m source.evaluate_sciq_verbalized_confidence \
    --model $model \
    --output_dir $output_dir \
    --prompt_file $prompts_dir/$prompt_file.txt \
    --first_n $first_n \
    --certainty_phrases_source "$certainty_phrases_source"

python -m source.evaluate_qa_correctness \
    --model gpt-4o-mini \
    --prompt_file $prompts_dir/check_answer_equivalence.txt \
    --input_file $output_dir/answers.jsonl \
    --first_n $first_n
